- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | Friends

# QTextFrame Class Reference

Search for all occurrences

## Detailed Description

Definition at line 121 of file qtextobject.h.

`#include <qtextobject.h>`

Inheritance diagram for QTextFrame:
[legend]

List of all members.

## Classes
class | iterator
## Public Types
typedef iterator | Iterator
## Public Member Functions
| QTextFrame (QTextDocument *doc)
| ~QTextFrame ()
void | setFrameFormat (const QTextFrameFormat &format)
QTextFrameFormat | frameFormat () const
QTextCursor | firstCursorPosition () const
QTextCursor | lastCursorPosition () const
int | firstPosition () const
int | lastPosition () const
QTextFrameLayoutData * | layoutData () const
void | setLayoutData (QTextFrameLayoutData *data)
QList< QTextFrame * > | childFrames () const
QTextFrame * | parentFrame () const
iterator | begin () const
iterator | end () const
## Protected Member Functions
| QTextFrame (QTextFramePrivate &p, QTextDocument *doc)
## Friends
class | iterator
class | QTextDocumentPrivate

## Member Typedef Documentation

typedef iterator Iterator

Search for all occurrences

Definition at line 176 of file qtextobject.h.

## Constructor & Destructor Documentation

QTextFrame | ( | QTextDocument * | doc | ) | `[explicit]`

~QTextFrame | ( |  | ) |

QTextFrame | ( | QTextFramePrivate & | p,
|  | QTextDocument * | doc
| ) |  | `[protected]`

## Member Function Documentation

void setFrameFormat | ( | const QTextFrameFormat & | format | ) | `[inline]`

Search for all occurrences

Definition at line 190 of file qtextobject.h.

    { QTextObject::setFormat(aformat); }

QTextFrameFormat frameFormat | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 130 of file qtextobject.h.

    { return QTextObject::format().toFrameFormat(); }

QTextCursor firstCursorPosition | ( |  | ) | const

Search for all occurrences

QTextCursor lastCursorPosition | ( |  | ) | const

Search for all occurrences

int firstPosition | ( |  | ) | const

Search for all occurrences

int lastPosition | ( |  | ) | const

Search for all occurrences

QTextFrameLayoutData* layoutData | ( |  | ) | const

Search for all occurrences

void setLayoutData | ( | QTextFrameLayoutData * | data | ) |

Search for all occurrences

QList<QTextFrame *> childFrames | ( |  | ) | const

Search for all occurrences

QTextFrame* parentFrame | ( |  | ) | const

Search for all occurrences

iterator begin | ( |  | ) | const

Search for all occurrences

iterator end | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class iterator `[friend]`

Search for all occurrences

Definition at line 174 of file qtextobject.h.

friend class QTextDocumentPrivate `[friend]`

Search for all occurrences

Reimplemented from QTextObject.

Definition at line 184 of file qtextobject.h.

The documentation for this class was generated from the following file:

- QtGui/qtextobject.h

QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame
QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame QTextFrame